Attributes (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile, class: Attributes
Keywords: java.lang.classfile.Attributes class

# Class Attributes

java.lang.Object
java.lang.classfile.Attributes

public final class Attributes extends Object
`Attributes` is a preview API of the Java platform.
Programs can only use `Attributes` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Attribute mappers for standard classfile attributes.

Unless otherwise specified, mappers returned by each method do not permit multiple attribute instances in a given location.

The most stable `STATELESS`PREVIEW mappers are:

- `deprecated()`
- `moduleResolution()`
- `sourceDebugExtension()`
- `synthetic()`

The mappers with `CP_REFS`PREVIEW stability are:

- `annotationDefault()`
- `bootstrapMethods()`
- `code()`
- `compilationId()`
- `constantValue()`
- `enclosingMethod()`
- `exceptions()`
- `innerClasses()`
- `methodParameters()`
- `module()`
- `moduleHashes()`
- `moduleMainClass()`
- `modulePackages()`
- `moduleTarget()`
- `nestHost()`
- `nestMembers()`
- `permittedSubclasses()`
- `record()`
- `runtimeInvisibleAnnotations()`
- `runtimeInvisibleParameterAnnotations()`
- `runtimeVisibleAnnotations()`
- `runtimeVisibleParameterAnnotations()`
- `signature()`
- `sourceFile()`
- `sourceId()`

The mappers with `LABELS`PREVIEW stability are:

- `characterRangeTable()`
- `lineNumberTable()`
- `localVariableTable()`
- `localVariableTypeTable()`

The `UNSTABLE`PREVIEW mappers are:

- `runtimeInvisibleTypeAnnotations()`
- `runtimeVisibleTypeAnnotations()`

Since:
  22
See Also:
  - `AttributeMapper`PREVIEW

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME_ANNOTATION_DEFAULT`
  AnnotationDefault
  `static final String`
  `NAME_BOOTSTRAP_METHODS`
  BootstrapMethods
  `static final String`
  `NAME_CHARACTER_RANGE_TABLE`
  CharacterRangeTable
  `static final String`
  `NAME_CODE`
  Code
  `static final String`
  `NAME_COMPILATION_ID`
  CompilationID
  `static final String`
  `NAME_CONSTANT_VALUE`
  ConstantValue
  `static final String`
  `NAME_DEPRECATED`
  Deprecated
  `static final String`
  `NAME_ENCLOSING_METHOD`
  EnclosingMethod
  `static final String`
  `NAME_EXCEPTIONS`
  Exceptions
  `static final String`
  `NAME_INNER_CLASSES`
  InnerClasses
  `static final String`
  `NAME_LINE_NUMBER_TABLE`
  LineNumberTable
  `static final String`
  `NAME_LOCAL_VARIABLE_TABLE`
  LocalVariableTable
  `static final String`
  `NAME_LOCAL_VARIABLE_TYPE_TABLE`
  LocalVariableTypeTable
  `static final String`
  `NAME_METHOD_PARAMETERS`
  MethodParameters
  `static final String`
  `NAME_MODULE`
  Module
  `static final String`
  `NAME_MODULE_HASHES`
  ModuleHashes
  `static final String`
  `NAME_MODULE_MAIN_CLASS`
  ModuleMainClass
  `static final String`
  `NAME_MODULE_PACKAGES`
  ModulePackages
  `static final String`
  `NAME_MODULE_RESOLUTION`
  ModuleResolution
  `static final String`
  `NAME_MODULE_TARGET`
  ModuleTarget
  `static final String`
  `NAME_NEST_HOST`
  NestHost
  `static final String`
  `NAME_NEST_MEMBERS`
  NestMembers
  `static final String`
  `NAME_PERMITTED_SUBCLASSES`
  PermittedSubclasses
  `static final String`
  `NAME_RECORD`
  Record
  `static final String`
  `NAME_RUNTIME_INVISIBLE_ANNOTATIONS`
  RuntimeInvisibleAnnotations
  `static final String`
  `NAME_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS`
  RuntimeInvisibleParameterAnnotations
  `static final String`
  `NAME_RUNTIME_INVISIBLE_TYPE_ANNOTATIONS`
  RuntimeInvisibleTypeAnnotations
  `static final String`
  `NAME_RUNTIME_VISIBLE_ANNOTATIONS`
  RuntimeVisibleAnnotations
  `static final String`
  `NAME_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS`
  RuntimeVisibleParameterAnnotations
  `static final String`
  `NAME_RUNTIME_VISIBLE_TYPE_ANNOTATIONS`
  RuntimeVisibleTypeAnnotations
  `static final String`
  `NAME_SIGNATURE`
  Signature
  `static final String`
  `NAME_SOURCE_DEBUG_EXTENSION`
  SourceDebugExtension
  `static final String`
  `NAME_SOURCE_FILE`
  SourceFile
  `static final String`
  `NAME_SOURCE_ID`
  SourceID
  `static final String`
  `NAME_STACK_MAP_TABLE`
  StackMapTable
  `static final String`
  `NAME_SYNTHETIC`
  Synthetic

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AttributeMapperPREVIEW<AnnotationDefaultAttributePREVIEW>`
  `annotationDefault()`
  Returns Attribute mapper for the `AnnotationDefault` attribute.
  `static AttributeMapperPREVIEW<BootstrapMethodsAttributePREVIEW>`
  `bootstrapMethods()`
  Returns Attribute mapper for the `BootstrapMethods` attribute.
  `static AttributeMapperPREVIEW<CharacterRangeTableAttributePREVIEW>`
  `characterRangeTable()`
  Returns Attribute mapper for the `CharacterRangeTable` attribute.
  `static AttributeMapperPREVIEW<CodeAttributePREVIEW>`
  `code()`
  Returns Attribute mapper for the `Code` attribute.
  `static AttributeMapperPREVIEW<CompilationIDAttributePREVIEW>`
  `compilationId()`
  Returns Attribute mapper for the `CompilationID` attribute.
  `static AttributeMapperPREVIEW<ConstantValueAttributePREVIEW>`
  `constantValue()`
  Returns Attribute mapper for the `ConstantValue` attribute.
  `static AttributeMapperPREVIEW<DeprecatedAttributePREVIEW>`
  `deprecated()`
  Returns Attribute mapper for the `Deprecated` attribute.
  `static AttributeMapperPREVIEW<EnclosingMethodAttributePREVIEW>`
  `enclosingMethod()`
  Returns Attribute mapper for the `EnclosingMethod` attribute.
  `static AttributeMapperPREVIEW<ExceptionsAttributePREVIEW>`
  `exceptions()`
  Returns Attribute mapper for the `Exceptions` attribute.
  `static AttributeMapperPREVIEW<InnerClassesAttributePREVIEW>`
  `innerClasses()`
  Returns Attribute mapper for the `InnerClasses` attribute.
  `static AttributeMapperPREVIEW<LineNumberTableAttributePREVIEW>`
  `lineNumberTable()`
  Returns Attribute mapper for the `LineNumberTable` attribute.
  `static AttributeMapperPREVIEW<LocalVariableTableAttributePREVIEW>`
  `localVariableTable()`
  Returns Attribute mapper for the `LocalVariableTable` attribute.
  `static AttributeMapperPREVIEW<LocalVariableTypeTableAttributePREVIEW>`
  `localVariableTypeTable()`
  Returns Attribute mapper for the `LocalVariableTypeTable` attribute.
  `static AttributeMapperPREVIEW<MethodParametersAttributePREVIEW>`
  `methodParameters()`
  Returns Attribute mapper for the `MethodParameters` attribute.
  `static AttributeMapperPREVIEW<ModuleAttributePREVIEW>`
  `module()`
  Returns Attribute mapper for the `Module` attribute.
  `static AttributeMapperPREVIEW<ModuleHashesAttributePREVIEW>`
  `moduleHashes()`
  Returns Attribute mapper for the `ModuleHashes` attribute.
  `static AttributeMapperPREVIEW<ModuleMainClassAttributePREVIEW>`
  `moduleMainClass()`
  Returns Attribute mapper for the `ModuleMainClass` attribute.
  `static AttributeMapperPREVIEW<ModulePackagesAttributePREVIEW>`
  `modulePackages()`
  Returns Attribute mapper for the `ModulePackages` attribute.
  `static AttributeMapperPREVIEW<ModuleResolutionAttributePREVIEW>`
  `moduleResolution()`
  Returns Attribute mapper for the `ModuleResolution` attribute.
  `static AttributeMapperPREVIEW<ModuleTargetAttributePREVIEW>`
  `moduleTarget()`
  Returns Attribute mapper for the `ModuleTarget` attribute.
  `static AttributeMapperPREVIEW<NestHostAttributePREVIEW>`
  `nestHost()`
  Returns Attribute mapper for the `NestHost` attribute.
  `static AttributeMapperPREVIEW<NestMembersAttributePREVIEW>`
  `nestMembers()`
  Returns Attribute mapper for the `NestMembers` attribute.
  `static AttributeMapperPREVIEW<PermittedSubclassesAttributePREVIEW>`
  `permittedSubclasses()`
  Returns Attribute mapper for the `PermittedSubclasses` attribute.
  `static AttributeMapperPREVIEW<RecordAttributePREVIEW>`
  `record()`
  Returns Attribute mapper for the `Record` attribute.
  `static AttributeMapperPREVIEW<RuntimeInvisibleAnnotationsAttributePREVIEW>`
  `runtimeInvisibleAnnotations()`
  Returns Attribute mapper for the `RuntimeInvisibleAnnotations` attribute.
  `static AttributeMapperPREVIEW<RuntimeInvisibleParameterAnnotationsAttributePREVIEW>`
  `runtimeInvisibleParameterAnnotations()`
  Returns Attribute mapper for the `RuntimeInvisibleParameterAnnotations` attribute.
  `static AttributeMapperPREVIEW<RuntimeInvisibleTypeAnnotationsAttributePREVIEW>`
  `runtimeInvisibleTypeAnnotations()`
  Returns Attribute mapper for the `RuntimeInvisibleTypeAnnotations` attribute.
  `static AttributeMapperPREVIEW<RuntimeVisibleAnnotationsAttributePREVIEW>`
  `runtimeVisibleAnnotations()`
  Returns Attribute mapper for the `RuntimeVisibleAnnotations` attribute.
  `static AttributeMapperPREVIEW<RuntimeVisibleParameterAnnotationsAttributePREVIEW>`
  `runtimeVisibleParameterAnnotations()`
  Returns Attribute mapper for the `RuntimeVisibleParameterAnnotations` attribute.
  `static AttributeMapperPREVIEW<RuntimeVisibleTypeAnnotationsAttributePREVIEW>`
  `runtimeVisibleTypeAnnotations()`
  Returns Attribute mapper for the `RuntimeVisibleTypeAnnotations` attribute.
  `static AttributeMapperPREVIEW<SignatureAttributePREVIEW>`
  `signature()`
  Returns Attribute mapper for the `Signature` attribute.
  `static AttributeMapperPREVIEW<SourceDebugExtensionAttributePREVIEW>`
  `sourceDebugExtension()`
  Returns Attribute mapper for the `SourceDebugExtension` attribute.
  `static AttributeMapperPREVIEW<SourceFileAttributePREVIEW>`
  `sourceFile()`
  Returns Attribute mapper for the `SourceFile` attribute.
  `static AttributeMapperPREVIEW<SourceIDAttributePREVIEW>`
  `sourceId()`
  Returns Attribute mapper for the `SourceID` attribute.
  `static AttributeMapperPREVIEW<StackMapTableAttributePREVIEW>`
  `stackMapTable()`
  Returns Attribute mapper for the `StackMapTable` attribute.
  `static AttributeMapperPREVIEW<SyntheticAttributePREVIEW>`
  `synthetic()`
  Returns Attribute mapper for the `Synthetic` attribute.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME_ANNOTATION_DEFAULT

    public static final String NAME_ANNOTATION_DEFAULT
    AnnotationDefault
    See Also:
      - Constant Field Values

  - ### NAME_BOOTSTRAP_METHODS

    public static final String NAME_BOOTSTRAP_METHODS
    BootstrapMethods
    See Also:
      - Constant Field Values

  - ### NAME_CHARACTER_RANGE_TABLE

    public static final String NAME_CHARACTER_RANGE_TABLE
    CharacterRangeTable
    See Also:
      - Constant Field Values

  - ### NAME_CODE

    public static final String NAME_CODE
    Code
    See Also:
      - Constant Field Values

  - ### NAME_COMPILATION_ID

    public static final String NAME_COMPILATION_ID
    CompilationID
    See Also:
      - Constant Field Values

  - ### NAME_CONSTANT_VALUE

    public static final String NAME_CONSTANT_VALUE
    ConstantValue
    See Also:
      - Constant Field Values

  - ### NAME_DEPRECATED

    public static final String NAME_DEPRECATED
    Deprecated
    See Also:
      - Constant Field Values

  - ### NAME_ENCLOSING_METHOD

    public static final String NAME_ENCLOSING_METHOD
    EnclosingMethod
    See Also:
      - Constant Field Values

  - ### NAME_EXCEPTIONS

    public static final String NAME_EXCEPTIONS
    Exceptions
    See Also:
      - Constant Field Values

  - ### NAME_INNER_CLASSES

    public static final String NAME_INNER_CLASSES
    InnerClasses
    See Also:
      - Constant Field Values

  - ### NAME_LINE_NUMBER_TABLE

    public static final String NAME_LINE_NUMBER_TABLE
    LineNumberTable
    See Also:
      - Constant Field Values

  - ### NAME_LOCAL_VARIABLE_TABLE

    public static final String NAME_LOCAL_VARIABLE_TABLE
    LocalVariableTable
    See Also:
      - Constant Field Values

  - ### NAME_LOCAL_VARIABLE_TYPE_TABLE

    public static final String NAME_LOCAL_VARIABLE_TYPE_TABLE
    LocalVariableTypeTable
    See Also:
      - Constant Field Values

  - ### NAME_METHOD_PARAMETERS

    public static final String NAME_METHOD_PARAMETERS
    MethodParameters
    See Also:
      - Constant Field Values

  - ### NAME_MODULE

    public static final String NAME_MODULE
    Module
    See Also:
      - Constant Field Values

  - ### NAME_MODULE_HASHES

    public static final String NAME_MODULE_HASHES
    ModuleHashes
    See Also:
      - Constant Field Values

  - ### NAME_MODULE_MAIN_CLASS

    public static final String NAME_MODULE_MAIN_CLASS
    ModuleMainClass
    See Also:
      - Constant Field Values

  - ### NAME_MODULE_PACKAGES

    public static final String NAME_MODULE_PACKAGES
    ModulePackages
    See Also:
      - Constant Field Values

  - ### NAME_MODULE_RESOLUTION

    public static final String NAME_MODULE_RESOLUTION
    ModuleResolution
    See Also:
      - Constant Field Values

  - ### NAME_MODULE_TARGET

    public static final String NAME_MODULE_TARGET
    ModuleTarget
    See Also:
      - Constant Field Values

  - ### NAME_NEST_HOST

    public static final String NAME_NEST_HOST
    NestHost
    See Also:
      - Constant Field Values

  - ### NAME_NEST_MEMBERS

    public static final String NAME_NEST_MEMBERS
    NestMembers
    See Also:
      - Constant Field Values

  - ### NAME_PERMITTED_SUBCLASSES

    public static final String NAME_PERMITTED_SUBCLASSES
    PermittedSubclasses
    See Also:
      - Constant Field Values

  - ### NAME_RECORD

    public static final String NAME_RECORD
    Record
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_INVISIBLE_ANNOTATIONS

    public static final String NAME_RUNTIME_INVISIBLE_ANNOTATIONS
    RuntimeInvisibleAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS

    public static final String NAME_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS
    RuntimeInvisibleParameterAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_INVISIBLE_TYPE_ANNOTATIONS

    public static final String NAME_RUNTIME_INVISIBLE_TYPE_ANNOTATIONS
    RuntimeInvisibleTypeAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_VISIBLE_ANNOTATIONS

    public static final String NAME_RUNTIME_VISIBLE_ANNOTATIONS
    RuntimeVisibleAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS

    public static final String NAME_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS
    RuntimeVisibleParameterAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_VISIBLE_TYPE_ANNOTATIONS

    public static final String NAME_RUNTIME_VISIBLE_TYPE_ANNOTATIONS
    RuntimeVisibleTypeAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_SIGNATURE

    public static final String NAME_SIGNATURE
    Signature
    See Also:
      - Constant Field Values

  - ### NAME_SOURCE_DEBUG_EXTENSION

    public static final String NAME_SOURCE_DEBUG_EXTENSION
    SourceDebugExtension
    See Also:
      - Constant Field Values

  - ### NAME_SOURCE_FILE

    public static final String NAME_SOURCE_FILE
    SourceFile
    See Also:
      - Constant Field Values

  - ### NAME_SOURCE_ID

    public static final String NAME_SOURCE_ID
    SourceID
    See Also:
      - Constant Field Values

  - ### NAME_STACK_MAP_TABLE

    public static final String NAME_STACK_MAP_TABLE
    StackMapTable
    See Also:
      - Constant Field Values

  - ### NAME_SYNTHETIC

    public static final String NAME_SYNTHETIC
    Synthetic
    See Also:
      - Constant Field Values

- ## Method Details

  - ### annotationDefault

    public static AttributeMapperPREVIEW<AnnotationDefaultAttributePREVIEW> annotationDefault()
    Returns Attribute mapper for the `AnnotationDefault` attribute.
    Returns:
      Attribute mapper for the `AnnotationDefault` attribute
    Since:
      23

  - ### bootstrapMethods

    public static AttributeMapperPREVIEW<BootstrapMethodsAttributePREVIEW> bootstrapMethods()
    Returns Attribute mapper for the `BootstrapMethods` attribute.
    Returns:
      Attribute mapper for the `BootstrapMethods` attribute
    Since:
      23

  - ### characterRangeTable

    public static AttributeMapperPREVIEW<CharacterRangeTableAttributePREVIEW> characterRangeTable()
    Returns Attribute mapper for the `CharacterRangeTable` attribute. The mapper permits multiple instances in a given location.
    Returns:
      Attribute mapper for the `CharacterRangeTable` attribute
    Since:
      23

  - ### code

    public static AttributeMapperPREVIEW<CodeAttributePREVIEW> code()
    Returns Attribute mapper for the `Code` attribute.
    Returns:
      Attribute mapper for the `Code` attribute
    Since:
      23

  - ### compilationId

    public static AttributeMapperPREVIEW<CompilationIDAttributePREVIEW> compilationId()
    Returns Attribute mapper for the `CompilationID` attribute.
    Returns:
      Attribute mapper for the `CompilationID` attribute
    Since:
      23

  - ### constantValue

    public static AttributeMapperPREVIEW<ConstantValueAttributePREVIEW> constantValue()
    Returns Attribute mapper for the `ConstantValue` attribute.
    Returns:
      Attribute mapper for the `ConstantValue` attribute
    Since:
      23

  - ### deprecated

    public static AttributeMapperPREVIEW<DeprecatedAttributePREVIEW> deprecated()
    Returns Attribute mapper for the `Deprecated` attribute. The mapper permits multiple instances in a given location.
    Returns:
      Attribute mapper for the `Deprecated` attribute
    Since:
      23

  - ### enclosingMethod

    public static AttributeMapperPREVIEW<EnclosingMethodAttributePREVIEW> enclosingMethod()
    Returns Attribute mapper for the `EnclosingMethod` attribute.
    Returns:
      Attribute mapper for the `EnclosingMethod` attribute
    Since:
      23

  - ### exceptions

    public static AttributeMapperPREVIEW<ExceptionsAttributePREVIEW> exceptions()
    Returns Attribute mapper for the `Exceptions` attribute.
    Returns:
      Attribute mapper for the `Exceptions` attribute
    Since:
      23

  - ### innerClasses

    public static AttributeMapperPREVIEW<InnerClassesAttributePREVIEW> innerClasses()
    Returns Attribute mapper for the `InnerClasses` attribute.
    Returns:
      Attribute mapper for the `InnerClasses` attribute
    Since:
      23

  - ### lineNumberTable

    public static AttributeMapperPREVIEW<LineNumberTableAttributePREVIEW> lineNumberTable()
    Returns Attribute mapper for the `LineNumberTable` attribute. The mapper permits multiple instances in a given location.
    Returns:
      Attribute mapper for the `LineNumberTable` attribute
    Since:
      23

  - ### localVariableTable

    public static AttributeMapperPREVIEW<LocalVariableTableAttributePREVIEW> localVariableTable()
    Returns Attribute mapper for the `LocalVariableTable` attribute. The mapper permits multiple instances in a given location.
    Returns:
      Attribute mapper for the `LocalVariableTable` attribute
    Since:
      23

  - ### localVariableTypeTable

    public static AttributeMapperPREVIEW<LocalVariableTypeTableAttributePREVIEW> localVariableTypeTable()
    Returns Attribute mapper for the `LocalVariableTypeTable` attribute. The mapper permits multiple instances in a given location.
    Returns:
      Attribute mapper for the `LocalVariableTypeTable` attribute
    Since:
      23

  - ### methodParameters

    public static AttributeMapperPREVIEW<MethodParametersAttributePREVIEW> methodParameters()
    Returns Attribute mapper for the `MethodParameters` attribute.
    Returns:
      Attribute mapper for the `MethodParameters` attribute
    Since:
      23

  - ### module

    public static AttributeMapperPREVIEW<ModuleAttributePREVIEW> module()
    Returns Attribute mapper for the `Module` attribute.
    Returns:
      Attribute mapper for the `Module` attribute
    Since:
      23

  - ### moduleHashes

    public static AttributeMapperPREVIEW<ModuleHashesAttributePREVIEW> moduleHashes()
    Returns Attribute mapper for the `ModuleHashes` attribute.
    Returns:
      Attribute mapper for the `ModuleHashes` attribute
    Since:
      23

  - ### moduleMainClass

    public static AttributeMapperPREVIEW<ModuleMainClassAttributePREVIEW> moduleMainClass()
    Returns Attribute mapper for the `ModuleMainClass` attribute.
    Returns:
      Attribute mapper for the `ModuleMainClass` attribute
    Since:
      23

  - ### modulePackages

    public static AttributeMapperPREVIEW<ModulePackagesAttributePREVIEW> modulePackages()
    Returns Attribute mapper for the `ModulePackages` attribute.
    Returns:
      Attribute mapper for the `ModulePackages` attribute
    Since:
      23

  - ### moduleResolution

    public static AttributeMapperPREVIEW<ModuleResolutionAttributePREVIEW> moduleResolution()
    Returns Attribute mapper for the `ModuleResolution` attribute.
    Returns:
      Attribute mapper for the `ModuleResolution` attribute
    Since:
      23

  - ### moduleTarget

    public static AttributeMapperPREVIEW<ModuleTargetAttributePREVIEW> moduleTarget()
    Returns Attribute mapper for the `ModuleTarget` attribute.
    Returns:
      Attribute mapper for the `ModuleTarget` attribute
    Since:
      23

  - ### nestHost

    public static AttributeMapperPREVIEW<NestHostAttributePREVIEW> nestHost()
    Returns Attribute mapper for the `NestHost` attribute.
    Returns:
      Attribute mapper for the `NestHost` attribute
    Since:
      23

  - ### nestMembers

    public static AttributeMapperPREVIEW<NestMembersAttributePREVIEW> nestMembers()
    Returns Attribute mapper for the `NestMembers` attribute.
    Returns:
      Attribute mapper for the `NestMembers` attribute
    Since:
      23

  - ### permittedSubclasses

    public static AttributeMapperPREVIEW<PermittedSubclassesAttributePREVIEW> permittedSubclasses()
    Returns Attribute mapper for the `PermittedSubclasses` attribute.
    Returns:
      Attribute mapper for the `PermittedSubclasses` attribute
    Since:
      23

  - ### record

    public static AttributeMapperPREVIEW<RecordAttributePREVIEW> record()
    Returns Attribute mapper for the `Record` attribute.
    Returns:
      Attribute mapper for the `Record` attribute
    Since:
      23

  - ### runtimeInvisibleAnnotations

    public static AttributeMapperPREVIEW<RuntimeInvisibleAnnotationsAttributePREVIEW> runtimeInvisibleAnnotations()
    Returns Attribute mapper for the `RuntimeInvisibleAnnotations` attribute.
    Returns:
      Attribute mapper for the `RuntimeInvisibleAnnotations` attribute
    Since:
      23

  - ### runtimeInvisibleParameterAnnotations

    public static AttributeMapperPREVIEW<RuntimeInvisibleParameterAnnotationsAttributePREVIEW> runtimeInvisibleParameterAnnotations()
    Returns Attribute mapper for the `RuntimeInvisibleParameterAnnotations` attribute.
    Returns:
      Attribute mapper for the `RuntimeInvisibleParameterAnnotations` attribute
    Since:
      23

  - ### runtimeInvisibleTypeAnnotations

    public static AttributeMapperPREVIEW<RuntimeInvisibleTypeAnnotationsAttributePREVIEW> runtimeInvisibleTypeAnnotations()
    Returns Attribute mapper for the `RuntimeInvisibleTypeAnnotations` attribute.
    Returns:
      Attribute mapper for the `RuntimeInvisibleTypeAnnotations` attribute
    Since:
      23

  - ### runtimeVisibleAnnotations

    public static AttributeMapperPREVIEW<RuntimeVisibleAnnotationsAttributePREVIEW> runtimeVisibleAnnotations()
    Returns Attribute mapper for the `RuntimeVisibleAnnotations` attribute.
    Returns:
      Attribute mapper for the `RuntimeVisibleAnnotations` attribute
    Since:
      23

  - ### runtimeVisibleParameterAnnotations

    public static AttributeMapperPREVIEW<RuntimeVisibleParameterAnnotationsAttributePREVIEW> runtimeVisibleParameterAnnotations()
    Returns Attribute mapper for the `RuntimeVisibleParameterAnnotations` attribute.
    Returns:
      Attribute mapper for the `RuntimeVisibleParameterAnnotations` attribute
    Since:
      23

  - ### runtimeVisibleTypeAnnotations

    public static AttributeMapperPREVIEW<RuntimeVisibleTypeAnnotationsAttributePREVIEW> runtimeVisibleTypeAnnotations()
    Returns Attribute mapper for the `RuntimeVisibleTypeAnnotations` attribute.
    Returns:
      Attribute mapper for the `RuntimeVisibleTypeAnnotations` attribute
    Since:
      23

  - ### signature

    public static AttributeMapperPREVIEW<SignatureAttributePREVIEW> signature()
    Returns Attribute mapper for the `Signature` attribute.
    Returns:
      Attribute mapper for the `Signature` attribute
    Since:
      23

  - ### sourceDebugExtension

    public static AttributeMapperPREVIEW<SourceDebugExtensionAttributePREVIEW> sourceDebugExtension()
    Returns Attribute mapper for the `SourceDebugExtension` attribute.
    Returns:
      Attribute mapper for the `SourceDebugExtension` attribute
    Since:
      23

  - ### sourceFile

    public static AttributeMapperPREVIEW<SourceFileAttributePREVIEW> sourceFile()
    Returns Attribute mapper for the `SourceFile` attribute.
    Returns:
      Attribute mapper for the `SourceFile` attribute
    Since:
      23

  - ### sourceId

    public static AttributeMapperPREVIEW<SourceIDAttributePREVIEW> sourceId()
    Returns Attribute mapper for the `SourceID` attribute.
    Returns:
      Attribute mapper for the `SourceID` attribute
    Since:
      23

  - ### stackMapTable

    public static AttributeMapperPREVIEW<StackMapTableAttributePREVIEW> stackMapTable()
    Returns Attribute mapper for the `StackMapTable` attribute.
    Returns:
      Attribute mapper for the `StackMapTable` attribute
    Since:
      23

  - ### synthetic

    public static AttributeMapperPREVIEW<SyntheticAttributePREVIEW> synthetic()
    Returns Attribute mapper for the `Synthetic` attribute. The mapper permits multiple instances in a given location.
    Returns:
      Attribute mapper for the `Synthetic` attribute
    Since:
      23